### Enumeration

# EDataServer SourceLDAPAuthentication

since: 3.18

#### Declaration

    enum EDataServer.SourceLDAPAuthentication

#### Description [src]

Defines authentication types for LDAP sources.

Available since: 3.18

#### Members

`E_SOURCE_LDAP_AUTHENTICATION_NONE`

  Use none authentication type.

  - Value: `0`
  - Available since: 3.18
`E_SOURCE_LDAP_AUTHENTICATION_EMAIL`

  Use an email address for authentication.

  - Value: `1`
  - Available since: 3.18
`E_SOURCE_LDAP_AUTHENTICATION_BINDDN`

  Use a bind DN for authentication.

  - Value: `2`
  - Available since: 3.18